cmake_minimum_required(VERSION 3.0)                                               
set(CMAKE_CXX_STANDARD 17)                                                                           
if(MSVC)                                                                                             
    add_compile_options("/Zc:__cplusplus")                                                           
endif()                                                                                              
include_directories("C:\\Programs\\GCC\\x86_64-8.1.0-release-posix-seh-rt_v6-rev0\\lib\\gcc\\x86_64-w64-mingw32\\8.1.0\\include\\c++\\x86_64-w64-mingw32") 
add_executable(P1001 P1001.cpp)
add_executable(P1002 P1002.cpp)
add_executable(P1003 P1003.cpp)
add_executable(P1004 P1004.cpp)
add_executable(P1005 P1005.cpp)
add_executable(P1006 P1006.cpp)
add_executable(P1007 P1007.cpp)
add_executable(P1008 P1008.cpp)
add_executable(P1009 P1009.cpp)
add_executable(P1010 P1010.cpp)
add_executable(P1011 P1011.cpp)
add_executable(P1012 P1012.cpp)
add_executable(P1013 P1013.cpp)